$(document).ready(function() {

	$(".quickbox").hover(function() {
		$(".quickbox").children("ul").show();
	}, function() {
		$(".quickbox").children("ul").hide();
	});

	if ($(window).width() < 1200) { $("#l21_logo").hide(); };
	
	$( window ).resize(function() {
		if ($(window).width() < 1200) {
			$("#l21_logo").hide();
		} else {
			$("#l21_logo").show();
		}
	});

	$("a.out").attr("target", "_blank");
	$("div#aide").css('display', 'none');

	$("a.aide-ancre").click(function() {
		$("div#aide").slideToggle("slow");
		return false;
	});
	
	$(".toggle_title a").click(function() {
		
		if($(this).parent().next().css('display')=='none') {
			$(this).addClass("open");
			$(this).parent().next().slideDown();
		} else {
			$(this).removeClass("open");
			$(this).parent().next().slideUp();
		}
		
		return false;
	});
});

function getRandomInt(min, max) {
    return Math.floor(Math.random() * (max - min + 1)) + min;
}

function isNumeric(str) {
  if (typeof str != "string") return false // we only process strings!  
  return !isNaN(str) && // use type coercion to parse the _entirety_ of the string (`parseFloat` alone does not do this)...
         !isNaN(parseFloat(str)) // ...and ensure strings of whitespace fail
}

function dateIsValid(date) {
	return date instanceof Date && !isNaN(date);
}